<template>
  <div>
    <h1 class="mb-6">How satisfied are you with the rigidity of your erection during sexual activity?</h1>
    <div class="space-y-3">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="selected"
      >
        {{ choice }}
      </radio-input>
    </div>
  </div>
</template>

<script>
import {answersMixin} from "@/utils/mixins";
import RadioInput from "@/components/inputs/RadioInput";

export default {
  components: {RadioInput},
  mixins: [answersMixin],
  name: "YourHealth5",
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_5')
      this.$emit('nextStage')
    }
  },
  data() {
    return {
      choices: [
        'Strongly dissatisfied',
        'Dissatisfied',
        'Neither satisfied nor dissatisfied',
        'Satisfied',
        'Strongly satisfied',
      ],
      selected: null
    }
  }
}
</script>

<style scoped>

</style>
